using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.BusinessLogicContracts
{
    public interface IDocumentLogic
    {
        bool Create(DocumentBindingModel model);
        bool Update(DocumentBindingModel model);
        bool Delete(DocumentBindingModel model);
        List<DocumentViewModel>? ReadList(DocumentSearchModel? model);
        DocumentViewModel? ReadElement(DocumentSearchModel model);
    }
}
